Subject: [AAA-WG]: Re: [Issue 294]: NASREQ Key Distribution Insecure

From: Bernard Aboba <[email-masked]>
Date: Fri, 21 Feb 2003 06:18:44 -0800 (PST)

A concrete example of an attack that takes advantage of lack of key
binding has been found in Diameter NASREQ. This involves one NAS
impersonating another. If the Route-Record AVP isn't checked
carefully by each Diameter agent along the path, by the time
the Request reaches the Diameter Server, it will be unable
to verify the Origin-Host AVP. As a result, it may send keys
to the wrong NAS.

Even with the text suggested for resolution of Issue 399, it isn't
entirely clear whether the problem is fixable. If the proper DNS RRs
aren't installed, it may not be possible to verify an Origin-Host or
Route-Record AVP against a NAS-IP-Address, NAS-IPv6-Address, or
NAS-Identifier AVP.

The proposed resolution is to bind the key to the NAS and client for which
it is to be used, so that the impersonated NAS can detect a mismatch.
It is also necessary for some "liveness" to be incorporated into the
package so that keys cannot be replayed.